% extendedmeshgrid : calculate meshgrid with boundary
%
% if an object of size dim has been boundary extended by amount boundary
% this gives indices that are the size of the extended object where the
% indices that are positive and less than size of dim correspond to the
% original non-extended object.
%
% Inputs : 
% dim - 2x1 dimension vector
% boundary - size of boundary segment
%
% Outputs :
% Xbig, Ybig - 
% arrays of position indexes that are size of dim extended by boundary,
% with negative indices and index numbers larger than dim on boundary
% segments
function [Xbig,Ybig]=extendedmeshgrid(dim,boundary)
Xbig = (1:(dim(2)+2*boundary))-boundary;
Ybig = (1:(dim(1)+2*boundary))-boundary;
